/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2 } from '@angular/core';
import { IconThemeColor } from './models/theme-color';
import { IconSize } from './models/size';
import { IconFlip } from './models/flip';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class IconBaseDirective {
    element: ElementRef;
    renderer: Renderer2;
    get horizontalFlip(): boolean;
    get verticalFlip(): boolean;
    /**
     * Flips the icon horizontally, vertically, or in both directions.
     */
    flip: IconFlip;
    /**
     * Sets the `IconThemeColor` for the icon. Use this property to apply a theme color.
     */
    set themeColor(themeColor: IconThemeColor);
    get themeColor(): IconThemeColor;
    /**
     * Sets the `IconSize` for the icon. Use this property to change the icon size.
     */
    set size(size: IconSize);
    get size(): IconSize;
    _themeColor: IconThemeColor;
    _size: IconSize;
    constructor(element: ElementRef, renderer: Renderer2);
    static ɵfac: i0.ɵɵFactoryDeclaration<IconBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconBaseDirective, "[kendoIconBase]", never, { "flip": { "alias": "flip"; "required": false; }; "themeColor": { "alias": "themeColor"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, never, false, never>;
}
