/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { InjectionToken } from '@angular/core';
import { IconSettings } from './models';
/**
 * Represents the token for the `IconSettings` of Kendo UI for Angular components.
 * Use this token to configure icon settings. ([See example.](slug:icon_settings#toc-icons-configuration))
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   providers: [{ provide: ICON_SETTINGS, useValue: { type: 'svg', size: 'xsmall' } }]
 * })
 * export class AppModule {}
 * ```
 */
export declare const ICON_SETTINGS: InjectionToken<IconSettings>;
