/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the `IconSize` of the icon.
 *
 * Use this type to set the icon size. The possible values are:
 * - `default` (Default)&mdash;Font-size: 16px; Width: 16px; Height: 16px.
 * - `xsmall`&mdash;Font-size: 12px; Width: 12px; Height: 12px.
 * - `small`&mdash;Font-size: 14px; Width: 14px; Height: 14px.
 * - `medium`&mdash;Font-size: 16px; Width: 16px; Height: 16px.
 * - `large`&mdash;Font-size: 20px; Width: 20px; Height: 20px.
 * - `xlarge`&mdash;Font-size: 24px; Width: 24px; Height: 24px.
 * - `xxlarge`&mdash;Font-size: 32px; Width: 32px; Height: 32px.
 * - `xxxlarge`&mdash;Font-size: 48px; Width: 48px; Height: 48px.
 *
 */
export type IconSize = 'default' | 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | 'xxlarge' | 'xxxlarge';
