/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2 } from '@angular/core';
import { IconBaseDirective } from '../common/icon-base';
import * as i0 from "@angular/core";
/**
 * Represents the Icon component for Angular.
 *
 * @example
 * ```html
 * <kendo-icon name="home"></kendo-icon>
 * ```
 */
export declare class IconComponent extends IconBaseDirective {
    element: ElementRef;
    renderer: Renderer2;
    hostClass: boolean;
    hostAriaHidden: boolean;
    /**
     * Sets the `Icon` to render. Supports all [Kendo UI Icons](slug:icon_list).
     */
    set name(name: string);
    get name(): string;
    private _name;
    constructor(element: ElementRef, renderer: Renderer2);
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "kendo-icon", ["kendoIcon"], { "name": { "alias": "name"; "required": false; }; }, {}, never, never, true, never>;
}
