/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./icon/icon.component";
import * as i2 from "./svg-icon/svg-icon.component";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) definition for the Icons components.
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { IconsModule } from '@progress/kendo-angular-icons';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, IconsModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class IconsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<IconsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<IconsModule, never, [typeof i1.IconComponent, typeof i2.SVGIconComponent], [typeof i1.IconComponent, typeof i2.SVGIconComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<IconsModule>;
}
