/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./svg-icon/svg-icon.component";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) definition for the SVG Icon component.
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { SVGIconModule } from '@progress/kendo-angular-icons';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, SVGIconModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class SVGIconModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SVGIconModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SVGIconModule, never, [typeof i1.SVGIconComponent], [typeof i1.SVGIconComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SVGIconModule>;
}
